unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, ExtCtrls, TeeProcs, TeEngine, Chart, ComCtrls,
  StdCtrls, TeeComma;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Panel1: TPanel;
    Edit1: TEdit;
    Edit2: TEdit;
    UpDown1: TUpDown;
    UpDown2: TUpDown;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Edit2Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses TeePolar, Series;

var pieSeries: TPieSeries;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart1.View3D:=false;

  with Chart1.AddSeries(TPolarSeries) as TPolarSeries do
  begin
    FillSampleValues;
    Brush.Style:=bsClear;
    Pen.Visible:=false;
  end;

  pieSeries:=Chart1.AddSeries(TPieSeries) as TPieSeries;
  with pieSeries do
  begin
    ShowInLegend:=false;
    Marks.Visible:=false;
    Transparency:=50;
    AddPie(10, '', clRed);

    RotationAngle:=45;
    AngleSize:=90;
  end;

  UpDown1.Max:=360;
  UpDown2.Max:=360;
  UpDown1.Position:=pieSeries.RotationAngle;
  UpDown2.Position:=pieSeries.RotationAngle+pieSeries.AngleSize;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  pieSeries.RotationAngle:=UpDown1.Position;
  pieSeries.AngleSize:=UpDown2.Position-pieSeries.RotationAngle;
end;

procedure TForm1.Edit2Change(Sender: TObject);
begin
  pieSeries.AngleSize:=UpDown2.Position-pieSeries.RotationAngle;
end;

end.
